precision mediump float;
uniform mediump float kernel;
uniform mediump float angle;
uniform mediump float spacing;
varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform mediump vec2 pixelSize;
precision mediump float;

void main(void)
{  
    float r = radians(- angle + 90.);
    vec2 angleR = spacing * vec2(sin(r), cos(r));
    vec4 col = vec4(0);

    for(float i = 1. ; i <= 128.; i++)
    {
        col += texture2D(samplerFront, vTex - angleR * (i - kernel * 0.5) * pixelSize);
        if(i >= kernel){
        break;
        }
    }
    
    gl_FragColor = col / kernel;
}